# EtherscanAgentSDK

## Intro

encapsulate EtherscanAgent's restful api

## Background

my servers need to communicate with EtherscanAgent

i think it's a better way to provide a sdk for this purpose

## Author

> gintama.zheng@gmail.com

## Latest Version

> 1.0.0

## How to install

```shell
yarn add etherscan-agent-sdk
```

## How to run test

```shell
yarn install
TEST_HOST=${AGENT_HOST} TEST_PORT=${AGENT_PORT} TEST_SCHEMA=${AGENT_SCHEMA} yarn run test
```

## Dependencies

- request
- request-promise-native

## Dev Dependencies

- @types/request-promise-native

## Test Dependencies

- mocha
- @types/mocha

## Change Logs

| Version | Logs                              |
| ------- | --------------------------------- |
| 0.2.0   | add README.md and .npmignore file |
| 0.3.0   | add test case                     |
| 1.0.0   | use mocha for test                |
