interface Tx {
    nonce?: string | number;
    chainId?: string | number;
    from?: string;
    to?: string;
    data?: string;
    value?: string | number;
    gas?: string | number;
    gasPrice?: string | number;
}
declare type BlockIndex = number | 'latest' | 'pending' | 'genesis';
interface ISdkInitConfig {
    host: string;
    port: number;
    schema: 'http' | 'https';
    connectTimeoutInMills: number;
}
export { Tx, BlockIndex, ISdkInitConfig };
